# 1-html基础

https://developer.mozilla.org/zh-CN/docs/Web

http://www.w3school.com.cn/

## 浏览器内核

* IE
* firefox: Gecko
* safari:  webkit
* chrome: blink

## web标准的构成

* 结构: html
* 表现: css
* 行为: js

## html标签

* 单标签/自闭合标签:

```html
<br />
<hr />
<area />
<base />
<img />
<input />
<link />
<meta />
<basefont />
<param />
<col />
<frame />
<embed />
```

## 转义字符

常见的

* 空格: `&nbsp;`
* 大于号: `&gt;`
* 小于号: `&lt;`

## 表格

```html
<table>
  <thead>
    <tr>
      <th>1</th>
      <th>1</th>
      <th>1</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>2</td>
      <td>2</td>
      <td>2</td>
    </tr>
  </tbody>
</table>
```

* 行合并: `rowspan="个数"`
* 列合并: `colspan="个数"`

## 列表

* ul: 无序列表, 只能放li
* ol: 有序列表, 只能放li
* dl:  自定义列表, 只能包含 dt和dt

## 表单

```html
<form action=“url地址” method=“提交方式” name=“表单域名称">各种表单元素控件</form>
```

* method: post/get

### input 控件

* type属性:  
	* button
	* checkbox
	* file
	* hidden
	* image
	* password
	* radio
	* reset
	* submit
	* text
* name属性
* value属性
* checked属性
* maxlength属性

### label标签

为input元素标注, 当点击label标签内的文本时, 光标自动转到对应的表单元素上

label的fro属性和对应元素的id对应

```html
<label for="sex">男</label>
<input type="fadio" name="sex" id="dex" />
```

### select 下拉选择框

```html
<select name="" id="">
  <option value=""></option>
  <option value=""></option>
  <option value=""></option>
</select>
```

### textarea文本域

```html
<textarea rows="3" cols="20"> 文本内容 </textarea>
```